TopoGeo_AddPolygon
Prev | 10.5. Topology Constructors | Next

## Name

TopoGeo_AddPolygon — Adds a polygon to an existing topology using a tolerance and possibly splitting existing edges/faces. Returns face identifiers.

## Synopsis

`SETOF integer TopoGeo_AddPolygon(`varchar atopology, geometry apoly, float8 tolerance`)`;

## Description

Adds a polygon to an existing topology and returns a set of face identifiers forming it up. The boundary of the given polygon will snap to existing nodes or edges within given tolerance. Existing edges and faces may be split by the boundary of the new polygon.

Updating statistics about topologies being loaded via this function is up to caller, see maintaining statistics during topology editing and population.

Availability: 2.0.0

## See Also

TopoGeo_AddPoint, TopoGeo_AddLineString, AddFace, CreateTopology

Prev | Up | Next
TopoGeo_AddLineString | Home | ST_AddIsoNode